> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Earnings

Get affiliate earnings and claimable amounts for different assets.


## OpenAPI

````yaml GET /apps/earnings
openapi: 3.1.0
info:
  title: Garden API
  version: 2.0.0
  description: API specification for various endpoints.
servers:
  - url: https://{environment}.garden.finance/v2
    variables:
      environment:
        default: api
        enum:
          - api
          - testnet.api
security:
  - garden-app-id: []
paths:
  /apps/earnings:
    get:
      summary: Get affiliate earnings.
      responses:
        '200':
          description: List of affiliate earnings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliateEarningsResponse'
              example:
                status: Ok
                result:
                  - total_earnings: '15075000000'
                    total_earnings_usd: '15075'
                    affiliate: '0x004Cc75ACF4132Fc08cB6a252E767804F303F729'
                    asset: ethereum:usdc
                    token_address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                    claim_amount: '5075000000'
                    claim_amount_usd: '5075'
                    claim_signature: >-
                      0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1b
                    claim_contract: '0x5EbEC4D8DA437b2BAD656D43d40fE412bA5D217a'
                  - total_earnings: '30000000'
                    total_earnings_usd: '30000'
                    affiliate: '0x004Cc75ACF4132Fc08cB6a252E767804F303F729'
                    asset: ethereum:cbbtc
                    token_address: '0xcbB7C0000aB88B473b1f5aFd9ef808440eed33Bf'
components:
  schemas:
    AffiliateEarningsResponse:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          required:
            - result
          properties:
            result:
              type: array
              items:
                $ref: '#/components/schemas/AffiliateEarningsItem'
    Response:
      type: object
      properties:
        status:
          type: string
          enum:
            - Ok
            - Error
        error:
          type: string
          nullable: true
    AffiliateEarningsItem:
      type: object
      properties:
        total_earnings:
          type: string
          description: Total earnings in asset units for the affiliate.
        total_earnings_usd:
          type: string
          description: Total earnings in USD for the mentioned asset for the affiliate.
        affiliate:
          type: string
          description: The address that will receive the earnings.
        asset:
          $ref: '#/components/schemas/AffiliateFeeAsset'
        token_address:
          type: string
          description: Contract address for the affiliate fee asset.
        claim_amount:
          type: string
          description: >-
            Amount available for claiming in asset units. Only included if the
            affiliate has not yet claimed their earnings.
        claim_amount_usd:
          type: string
          description: >-
            Amount available for claiming in USD. Only included if the affiliate
            has not yet claimed their earnings.
        claim_signature:
          type: string
          description: >-
            Signature for claiming earnings. Only included if the affiliate has
            not yet claimed their earnings.
        claim_contract:
          type: string
          description: >-
            Contract address for claiming earnings. Only included if the
            affiliate has not yet claimed their earnings.
      required:
        - total_earnings
        - total_earnings_usd
        - affiliate
        - asset
        - token_address
    AffiliateFeeAsset:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum:usdc
            - arbitrum:cbbtc
            - base:usdc
            - base:cbbtc
            - ethereum:usdc
            - ethereum:cbbtc
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia:usdc
            - base_sepolia:usdc
            - citrea_testnet:usdc
            - citrea_testnet:cbbtc
            - ethereum_sepolia:usdc
            - monad_testnet:usdc
            - monad_testnet:cbbtc
  securitySchemes:
    garden-app-id:
      type: apiKey
      name: garden-app-id
      in: header
      description: >-
        If you do not yet have an app ID, please follow these
        [steps](/api-reference/setup).

````